<?php
require_once("cwfUI.inc.php");

class DisclaimerViewUI extends cwfUI {
  protected static $accessRight = "";
  protected static $dataClass = "Disclaimer";
  
  public function __construct() {
    parent::__construct();
    $this->initialize();
  }
  
  protected function initialize() {
    parent::initialize();
    $this->title = _("Disclaimers");
  }
  
  protected function getNewValuesXML($newData) {
    $xml = "";
    foreach ($newData as $key => $value) {
      if($key=="disclaimer_name") {
        $xml .= "    <replaceHTMLElement id=\"#$key\"><![CDATA[\n";
        $xml .= "<h4 id=\"disclaimer_name\">$value</h4>\n";
        $xml .= "]]>\n";
        $xml .= "</replaceHTMLElement>\n";
      }
      else if($key=="disclaimer") {
        CWFTools::decodeHTMLChars($value);
        CWFTools::removeSuspiciousHTML($value);
        $xml .= "    <replaceHTMLElement id=\"#$key\"><![CDATA[\n";
        $xml .= "<div id=\"disclaimer\">$value</div>\n";
        $xml .= "]]>\n";
        $xml .= "</replaceHTMLElement>\n";
      }
    }
    
    return $xml;
  }
  
  public function getPostBackXML(DbConnection $DB, $action) {
    $xml = "";
    switch ($action) {
      case "updateForm":
        $xml .= $this->getNewValuesXML($this->getData());
        break;
    }
    return $xml;
  }
  
  static public function getValidationRules() {
    $validationRules = new FormValidation(array(), array());
    return $validationRules;
  }
  
  public function saveForm(DbConnection $DB) {
    return 0;
  }
  
  public function deleteData(DbConnection $DB, $id) {
    return 0;
  }
  
  public function getHTML(DbConnection $DB) {
?>
<form id="kdb_form" action="" method="post" enctype="multipart/form-data">
<p>
  <label for="disclaimer_list"><?= _("Disclaimers") ?>:</label>
  <select id="disclaimer_list" name="disclaimer_list" class="select_id" onChange="kdbUpdateForm(this, 'DisclaimerViewUI');" size="5">
<?php
    $disclaimers = static::readList($DB);
    foreach ($disclaimers as $disclaimer)
      echo "    <option value=\"{$disclaimer['id']}\">{$disclaimer['name']}</option>\n";
?>
  </select>
</p>

<h4 id="disclaimer_name"></h4>
<div id="disclaimer"></div>

</form>
<?php
  }
}

?>